std::chrono::day::operator+=,std::chrono::day::operator-=(3)

NAME
std::chrono::day::operator+=,std::chrono::day::operator-= - std::chrono::day::operator+=,std::chrono::day::operator-=

Synopsis
   constexpr std::chrono::day& operator+=( const std::chrono::days& d (1) (since C++20)
   ) noexcept;
   constexpr std::chrono::day& operator-=( const std::chrono::days& d (2) (since C++20)
   ) noexcept;
   Adds or subtracts d.count() days from the day value.
   1) Equivalent to *this = *this + d;
   2) Equivalent to *this = *this - d;

Return value
   A reference to this day after modification

Notes
   If the result would be outside the range [0, 255], the actual stored value is
   unspecified.

Example
// Run this code
 #include <cassert>
 #include <chrono>
 int main()
 {
     std::chrono::day d {15};
     d += std::chrono::days(2);
     assert(d == std::chrono::day(17));
     d -= std::chrono::days{3};
     assert(d == std::chrono::day(14));
 }

See also
   operator++
   operator++(int) increments or decrements the day
   operator-- (public member function)
   operator--(int)
   operator+ adds or subtracts a number of days and a day, or find the difference
   operator- between two days
   (C++20) (function)